aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorrsc <devnull@localhost>2005-01-07 07:15:31 +0000
committerrsc <devnull@localhost>2005-01-07 07:15:31 +0000
commitd756dc5e15308bbf53d27317eeb67da98edad2d9 (patch)
treeb8eff7581c8a564250e0e32937520acf599e7eea /bin
parent0dfd6525a647e1edaa193054774452ef9fe1871b (diff)
downloadplan9port-d756dc5e15308bbf53d27317eeb67da98edad2d9.tar.gz
plan9port-d756dc5e15308bbf53d27317eeb67da98edad2d9.tar.bz2
plan9port-d756dc5e15308bbf53d27317eeb67da98edad2d9.zip
better status handling for sun
Diffstat (limited to 'bin')
-rwxr-xr-xbin/9c19
1 files changed, 5 insertions, 14 deletions
diff --git a/bin/9c b/bin/9c
index cbd67ce9..3bb7943a 100755
--- a/bin/9c
+++ b/bin/9c
@@ -55,18 +55,9 @@ esac
# N.B. Must use temp file to avoid pipe; pipe loses status.
xtmp=/tmp/9c.$$.$USER.out
-status=x
-case "$tag" in
-*SunOS*-cc)
- $cc -DPLAN9PORT -I$PLAN9/include $cflags "$@" 2>&1 |
- /bin/sed 's/\"\([^\"][^\"]*\)\", line \([0-9][0-9]*\)/\1:\2/g' 1>&2
- status=$?
- ;;
-*)
- $cc -DPLAN9PORT -I$PLAN9/include $cflags "$@"
- status=$?
- ;;
-esac >$xtmp 2>&1
-grep -v '__p9l_autolib_' $xtmp
-rm -f $xtmp
+$cc -DPLAN9PORT -I$PLAN9/include $cflags "$@" >$xtmp 2>&1
+status=$?
+grep -v '__p9l_autolib_' $xtmp |
+sed 's/\"\([^\"][^\"]*\)\", line \([0-9][0-9]*\)/\1:\2/g'
+rm -f $xtmp $xtmp.status
exit $status